Attribute VB_Name = "easyRun"
' ------------------------------------------------------------------------------
'
' easyRun(easyRun.bas)                                    Ulrich Mller 11.02.00
'                                                         Procida 400NT    VB6.0
' Modul zur Erstellung eigener VB6-Programme zum Betrieb von ft-Modellen
' auf Basis von umFishEx.BAS, umFish.DLL und easyMain.FRM
' die aufgefhrten Komponenten knnen ungendert eingebunden werden.
' Es stehen die normalen VB6-Sprachmittel und Funktionen aus
' umFishEx und easyMain zur Verfgung
'
' Beispiel Verkehrsampel
' M1 = grne Lampe, M2 = gelbe, M3 = rote, E1 = Endetaster
'
' ------------------------------------------------------------------------------

Option Explicit

' ------------------- Anwendungs-Konstanten -----------------------------------
Private Const cLampeRot = 3, cLampeGelb = 2, cLampeGruen = 1
Private Const cLampeAus = 0, cLampeEin = 1, cEnde = 1

' ------------------- Anwendungs-Variable -------------------------------------
Private z&, ZF&

Private Sub printStatus(T$)
' --- Ausgabe von Text in das Statusfeld ---------
  easyMain.lblStatus.Caption = T
End Sub

Private Function Werte(Nr&)
' --- Zugriff auf den numerischen Inhalt der Werte Felder ---
  Werte = Val(easyMain.txtWert(Nr))
End Function

Public Sub fishText()
' --- Beschriften der Textfelder in der Hautform ---
'     Bei Bedarf : eigene Werte eintragen ----------
With easyMain
  .lblTitel = "Verkehrsampel"
  .lblEText(1).Caption = "Ende"
  .lblEText(2).Caption = "E2"
  .lblEText(3).Caption = "E3"
  .lblEText(4).Caption = "E4"
  .lblEText(5).Caption = "E5"
  .lblEText(6).Caption = "E6"
  .lblEText(7).Caption = "E7"
  .lblEText(8).Caption = "E8"
  .lblMText(1).Caption = "Grn"
  .lblMText(2).Caption = "Gelb"
  .lblMText(3).Caption = "Rot"
  .lblMText(4).Caption = "M4"
  .lblAText(0).Caption = "EX"
  .lblAText(1).Caption = "EY"
  .lblWert(1).Caption = "Zeitfaktor"
  .txtWert(1).Text = 2
  .lblWert(2).Caption = "Wert B"
  .txtWert(2).Text = 0
End With
End Sub

Public Sub fishMain()

' --- Hauptroutine, Name ist fest ----------------------------------
'     wird fr jede Anwendung neu erstellt
'     Aufruf ber START-Button
'     es knnen beliebige weitere sub und function erstellt werden.
' -------------- Hauptroutine --------------------------------------
  z = 0
  ZF = Werte(1)
  
  Do
    z = z + 1
    printStatus "Zyklus No. : " & z
    ftiSetMotor cLampeGruen, cLampeAus
    ftiSetMotor cLampeGelb, cLampeEin
    ftiWaitForTime 120 * ZF
    ftiSetMotor cLampeGelb, cLampeAus
    ftiSetMotor cLampeRot, cLampeEin
    ftiWaitForTime 1000 * ZF
    ftiSetMotor cLampeGelb, cLampeEin
    ftiWaitForTime 120 * ZF
    ftiSetMotor cLampeRot, cLampeAus
    ftiSetMotor cLampeGelb, cLampeAus
    ftiSetMotor cLampeGruen, cLampeEin
    ftiWaitForTime 800 * ZF
  Loop Until ftiFinish(cEnde)
  
End Sub

