VERSION 5.00
Begin VB.Form frmVTMain 
   Caption         =   "frmStandard"
   ClientHeight    =   5295
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   7545
   BeginProperty Font 
      Name            =   "Arial"
      Size            =   8.25
      Charset         =   0
      Weight          =   400
      Underline       =   0   'False
      Italic          =   0   'False
      Strikethrough   =   0   'False
   EndProperty
   Icon            =   "umFishVT.frx":0000
   LinkTopic       =   "Form1"
   LockControls    =   -1  'True
   ScaleHeight     =   5295
   ScaleWidth      =   7545
   StartUpPosition =   3  'Windows-Standard
   Begin VB.Frame fraTests 
      BorderStyle     =   0  'Kein
      Enabled         =   0   'False
      Height          =   2295
      Left            =   5760
      TabIndex        =   3
      Top             =   240
      Width           =   1575
      Begin VB.CommandButton cmdPanel 
         Caption         =   "InterfacePanel"
         Height          =   375
         Left            =   120
         TabIndex        =   7
         Top             =   1680
         Width           =   1335
      End
      Begin VB.CommandButton cmdAction 
         Caption         =   "SetMotor"
         Height          =   375
         Left            =   120
         TabIndex        =   6
         Top             =   1200
         Width           =   1335
      End
      Begin VB.CommandButton cmdLampen 
         Caption         =   "SetLamp"
         Height          =   375
         Left            =   120
         TabIndex        =   5
         Top             =   720
         Width           =   1335
      End
      Begin VB.CommandButton cmdWaitFor 
         Caption         =   "WaitFor"
         Height          =   375
         Left            =   120
         TabIndex        =   4
         Top             =   240
         Width           =   1335
      End
   End
   Begin VB.ListBox lstLog 
      Height          =   4470
      Left            =   480
      TabIndex        =   2
      Top             =   360
      Width           =   5055
   End
   Begin VB.CommandButton cmdEnde 
      Caption         =   "Abbrechen"
      Height          =   375
      Left            =   5880
      TabIndex        =   1
      Top             =   4200
      Width           =   1335
   End
   Begin VB.CommandButton cmdStart 
      Caption         =   "START"
      Height          =   375
      Left            =   5880
      TabIndex        =   0
      Top             =   4680
      Width           =   1335
   End
   Begin VB.Image imgFish 
      Height          =   570
      Left            =   6000
      Picture         =   "umFishVT.frx":0442
      Top             =   3480
      Width           =   1200
   End
End
Attribute VB_Name = "frmVTMain"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
' ------------------------------------------------------------------------------
'
' frmVTMain(umFishVT.frm)                                 Ulrich Mller 10.02.00
'                                                         Procida 400NT    VB6.0
' Testrahmen fr umFishEx.BAS
' START    : ftiOpenInterface, Anzeige Eigenschaften und Freigabe fraTests
' InterfacePanel: Anzeige des InterfacePanels (frmFishPanel)
' SetMotor : Test der Funktionen ftiSetMotor ... und anderer einfacher
' SetLamp  : Test der Funktionen ftiSetLamp, ftiFinish
' WaitFor  : Test der ftiWaitFor... Funktionen
'
' Ergebnisse und Dialogfhrung in lstLog (printLog)
'
' Aufbau :
' M1 Motor mit Taster E2 (Schlieer, Kontakte 1 & 3) und Impulsrad
' M2 - M4 : Lampen
' EX : Photowiderstand
' EY : Festwiderstand 100 Ohm
' E1 und E8 Taster (Schlieer)
'
' ------------------------------------------------------------------------------

Option Explicit

Private PortName$
Private Sub printLog(T$)

  lstLog.AddItem T
  lstLog.ListIndex = lstLog.ListCount - 1
  
End Sub


Private Sub cmdAction_Click()
  
' --- ftiSetMotor(s), ftiClearMotors, ftiWaitForTime ----------
'     ftiGetInput(s), ftiGetAnalog
' Modell : Lampen an M2, M3, M4, Taster E1, EX, EY ------------

  lstLog.Clear
  ftiNotHalt = False
  fraTests.Enabled = False
  cmdEnde.Enabled = False
  printLog "ftiSetMotor Gestartet"
  ftiClearMotors
  printLog "ftiClearMotors"
  printLog "ftiGetInputs : " & ftiGetInputs
  Do
    ftiSetMotor 4, ftiEin
    printLog "ftiSetMotor 4, ftiEin"
    ftiWaitForTime 1000
    printLog "ftiWaitForTime 1000"
    ftiSetMotors &H10 + &H40
    ftiWaitForTime 1000
    ftiSetMotors &H4 + &H10 + &H40
    printLog "ftiSetMotors &H4 + &H10 + &H40"
    ftiWaitForTime 1000
    ftiClearMotors
    printLog "ftiGetAnalog(0) : " & ftiGetAnalog(0)
    printLog "ftiGetAnalog(1) : " & ftiGetAnalog(1)
    printLog "Zum Beenden des Tests : E1 drcken"
    If ftiNotHalt Then Exit Do
  Loop Until ftiGetInput(1)
  ftiClearMotors
  printLog "SetMotor ENDE"
  fraTests.Enabled = True
  cmdEnde.Enabled = True
End Sub


Private Sub cmdEnde_Click()

' --- Beenden -----------------------------

  Unload Me
  
End Sub


Private Sub cmdLampen_Click()

' --- Test ftiSetLamp(LPT), ftiFinish --------------
'     Lampen an M1 v/h, M2 v, Taster E1, E2 --------
'               ("halber" M-ausgang)

  lstLog.Clear
  ftiNotHalt = False
  fraTests.Enabled = False
  cmdEnde.Enabled = False
  printLog "Setlamp(LPT) gestartet"
  Do
    printLog "Start neue Lampenschleife"
    ftiClearMotors
    ftiWaitForTime 1000
    ftiSetLamp 1, ftiEin
    printLog "FtiSetLamp 1, ftiEin"
    ftiWaitForTime 1000
    ftiSetLamp 2, ftiEin
    ftiWaitForTime 1000
    ftiSetLamp 3, ftiEin
    ftiWaitForTime 1000
    printLog "Abbruch : ftiFinish(2)"
  Loop Until ftiFinish(2)
  ftiClearMotors
  printLog "SetLamp-Test ENDE"
  fraTests.Enabled = True
  cmdEnde.Enabled = True
  
End Sub

Private Sub cmdPanel_Click()

' --- Anzeige ft.InterfacePanel -------------------------------

  frmFishPanel.ShowPanel PortName, Me.Left + 350, Me.Top + 550
  
End Sub

Private Sub cmdStart_Click()

' --- OpenInterface ----------------------------------------
'     Anzeige der aktuellen Eigenschaften ------------------
Dim res&

  If cmdStart.Caption = "START" Then
    If Command$ = "" Then
      PortName = InputBox("Bitte Portnamen eingeben : " & vbCrLf & "COM1-9 oder LPT1-3 (NT : LPT)", App.FileDescription, "COM1")
    Else
      PortName = UCase$(Command$)
    End If
    res = ftiOpenInterface(PortName)
    If res = ftiFehler Then
      MsgBox "Interfaceproblem mit : " & PortName, vbInformation + vbOKOnly, App.FileDescription
      cmdStart.SetFocus
      Exit Sub
    End If
    fraTests.Enabled = True
    cmdStart.Caption = "HALT"
    cmdEnde.Caption = "ENDE"
    imgFish.Top = 2500
    ftiNotHalt = False
    lstLog.Clear
    printLog "Gestartet : " & PortName
    printLog "NotHalt : " & ftiNotHalt
    printLog "InputStatus : " & ftiDCB.InputStatus
    printLog "MotorStatus : " & ftiDCB.MotorStatus
    printLog "LPTAnalog :" & ftiDCB.LPTAnalog
    printLog "LPTDelay :" & ftiDCB.LPTDelay
    printLog "PortID :" & ftiDCB.PortID
  Else
    ftiNotHalt = True
    ftiClearMotors
    fraTests.Enabled = True
  End If
  
End Sub

Private Sub cmdWaitFor_Click()

' --- Test der ftiWaitFor ... -----------------------------
' Modell : Motor M1, Impuls E2, Ende E1, Taster E8 --------

  lstLog.Clear
  ftiNotHalt = False
  fraTests.Enabled = False
  cmdEnde.Enabled = False
  ftiClearMotors
  printLog "WaitFor-Tste gestartet"
  ftiSetMotor 1, ftiLinks
  ftiWaitForChange 2, 32, 8
  printLog "ftiWaitForChange 2, 32, 8"
  printLog "ftiWaitForChange, Endtaster : E8"
  ftiWaitForChange 2, 999, 8
  ftiSetMotor 1, ftiAus
  printLog "ftiWaitForChange 2, 999, 8"
  printLog "ftiWaitForInput, Ende : E1"
  ftiWaitForInput 1
  printLog "ftiWaitForLow, E8 : drcken und loslassen"
  ftiWaitForLow 8
  printLog "WaitFor-Test beendet"
  fraTests.Enabled = True
  cmdEnde.Enabled = True
  
End Sub

Private Sub Form_Load()

' --- Projekt | Eigenschaften | Erstellen | FileDescription
  Me.Caption = App.FileDescription
  
  ftiDCB.LPTDelay = 5
  ftiDCB.LPTAnalog = 10
  
  lstLog.AddItem "Testaufbau :"
  lstLog.AddItem "M1 : Motor mit Taster E2"
  lstLog.AddItem "(Schlieer, Kontakte 1 und 2 und Impulsrad)"
  lstLog.AddItem "M2 - M4 : Lampen"
  lstLog.AddItem "EX : Photowiderstand"
  lstLog.AddItem "EY : Festwiderstand 100 Ohm"
  lstLog.AddItem "Anzeige konstant 92 bei seriellem Interface"
  lstLog.AddItem "E1 und E8 Taster (Schlieer s.o.)"
  lstLog.AddItem "-----------"
  lstLog.AddItem "Durch START und Eingabe des Portnames"
  lstLog.AddItem "Verbindung zum Interface herstellen"
  lstLog.AddItem "dann Buttons der oberen Gruppe"
  lstLog.AddItem "von unten nach oben Klicken"
  lstLog.AddItem "auf Dialoganweisungen achten"

End Sub


Private Sub Form_Unload(Cancel As Integer)

  ftiNotHalt = True
  ftiClearMotors
  ftiCloseInterface
  
End Sub


